package com.dev.swms.server.model.base;


import java.util.Date;

import com.dev.energy.server.model.Entity;

public class LpBarCode extends Entity{
	private static final long serialVersionUID = 688838263260900457L;
	/** 仓库 */
	private Warehouse warehouse;
	/** 编码前缀 */
	private String prefix;
	/** 代码 */
	private String code;
	/** 是否失效 */
	private boolean disabled = false;
	/**是否回收*/
	private boolean beBack;
	private String createName;

	private Date createDate;
	
	public String getCreateName() {
		return createName;
	}
	public void setCreateName(String createName) {
		this.createName = createName;
	}
	public Date getCreateDate() {
		return createDate;
	}
	public void setCreateDate(Date createDate) {
		this.createDate = createDate;
	}
	public Warehouse getWarehouse() {
		return warehouse;
	}
	public void setWarehouse(Warehouse warehouse) {
		this.warehouse = warehouse;
	}
	public String getPrefix() {
		return prefix;
	}
	public void setPrefix(String prefix) {
		this.prefix = prefix;
	}
	public String getCode() {
		return code;
	}
	public void setCode(String code) {
		this.code = code;
	}
	public boolean isDisabled() {
		return disabled;
	}
	public void setDisabled(boolean disabled) {
		this.disabled = disabled;
	}
	public boolean isBeBack() {
		return beBack;
	}
	public void setBeBack(boolean beBack) {
		this.beBack = beBack;
	}
	
}